Skip to main content
GET
/
v3
/
vehicle-enquiries
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/vehicle-enquiries \
  --header 'X-Session-Token: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "ves": {
          "art_end_date": "<string>",
          "co2_emissions": 123,
          "colour": "<string>",
          "date_of_last_v5c_issued": "<string>",
          "engine_capacity": 123,
          "euro_status": "<string>",
          "fuel_type": "<string>",
          "make": "<string>",
          "marked_for_export": true,
          "month_of_first_registration": "<string>",
          "mot_status": "<string>",
          "real_driving_emissions": "<string>",
          "registration_number": "<string>",
          "revenue_weight": 123,
          "tax_due_date": "<string>",
          "tax_status": "<string>",
          "type_approval": "<string>",
          "wheelplan": "<string>",
          "year_of_manufacture": 123
        },
        "mot": {
          "make": "<string>",
          "model": "<string>",
          "first_used": "2023-11-07T05:31:56Z",
          "fuel_type": "<string>",
          "colour": "<string>",
          "registration_date": "2023-11-07T05:31:56Z",
          "manufacture_date": "2023-11-07T05:31:56Z",
          "engine_size": "<string>",
          "has_outstanding_recall": "<string>"
        },
        "mot_records": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>",
            "attributes": {
              "completed_date": "2023-11-07T05:31:56Z",
              "expiry_date": "2023-11-07T05:31:56Z",
              "data_source": "<string>",
              "result": "<string>",
              "odometer": {
                "type": "<string>",
                "unit": "<string>",
                "value": 123
              },
              "defects": [
                {
                  "dangerous": true,
                  "text": "<string>",
                  "type": "<string>"
                }
              ]
            },
            "meta": {
              "created_at": "2023-11-07T05:31:56Z"
            },
            "relationships": {
              "vehicle": {
                "data": {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "type": "<string>"
                }
              }
            }
          }
        ]
      }
    }
  ],
  "meta": {
    "pagination": {
      "counts": {
        "pages": 123,
        "resources": 123
      },
      "current_page": 123,
      "offsets": {
        "next": 123,
        "previous": 123
      },
      "requested": {
        "limit": 123,
        "offset": 123
      }
    },
    "features": {
      "include": {
        "options": [
          "<string>"
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "slug": "<string>",
        "sandbox": true,
        "description": "<string>",
        "settings": {}
      },
      "meta": {
        "v3": true,
        "status": "active",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "features": [
          {
            "name": "<string>",
            "enabled": true,
            "limit": 123
          }
        ]
      },
      "relationships": {
        "users": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "service_accounts": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "groups": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "teams": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "nomenclature": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ctrl-hub.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0

Response

Get a list of vehicle enquiries.

JSON API response object

data
A list of vehicle enquiries · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a vehicle enquiry is returned.